package it.inaf.oats.vospace.exception;

import net.ivoa.xml.uws.v1.ErrorSummaryFactory;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

@ResponseStatus(value = HttpStatus.INTERNAL_SERVER_ERROR)
public class VoSpaceErrorSummarizableException extends VoSpaceException {
    
    ErrorSummaryFactory.VOSpaceFault fault;
    
    public VoSpaceErrorSummarizableException(String message,
            ErrorSummaryFactory.VOSpaceFault fault)
    {
        super(message);
        this.fault = fault;        
    }
    
    public ErrorSummaryFactory.VOSpaceFault getFault()
    {
        return this.fault;
    }
}
